Subject: Re: How to use ramdisk on the ml300?

From: wangyanlong <[email-masked]>
Date: Thu, 14 Aug 2008 03:44:25 -0700 (PDT)

Hi JensWirth,
    Thanks  for your reply :). I have some questions here.
    (1)You told me "make simpleImage.virtex405-ml300",i only know "make
zImage" and "make zImage.initrd" ,what it is this command mean???
    (2)What is dts ? I don't know what is this :(
Regards,
YanLong:)

Jens Wirth wrote:
> 
> Hi Yanlong,
> 
> On Thu, Aug 14, 2008 at 5:08 AM, yanlong wang <[email-masked]>
> wrote:
>>      If i want use ramdisk on the ml300 , i must use u-boot in my system
>> ?
>>     many thanks
> 
> I suppose you want to use an initial ram filesystem as
> rootfs to boot your system?
> 
> You have to point CONFIG_INITRAMFS_SOURCE="" to a cpio
> archive or a directory which contains your rootfs. If
> you use a directory structure then you should set your
> uid/gid to make the build process convert the owner
> to root:
> 
> # if your uid/gid is 500:
> CONFIG_INITRAMFS_ROOT_UID=500
> CONFIG_INITRAMFS_ROOT_GID=500
> 
> Don't forget to set CONFIG_BLK_DEV_RAM=y to be able
> to use a ramdisk at all.
> 
> I'm also using the ml300 board and I create my kernel
> with: make simpleImage.virtex405-ml300
> 
> My dts is arch/powerpc/boot/dts/virtex405-ml300.dts.
> There is no kernel boot command line needed to use
> the initramfs in my case (I only set up my console
> to the uart). Just download the image
> arch/powerpc/boot/simpleImage.virtex405-ml300.elf
> with xmd to your ml300 and run it.
> 
> I hope this works for you.
> 
> Regards
> Jens
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/How-to-use-ramdisk-on-the-ml300--tp18975066p18979320.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.